Package org.kie.api.io

## Interface KieResources

- All Superinterfaces:
    `java.lang.Comparable<KieService>`, `KieService`

      public interface KieResources
      extends KieService

  KieResources is a factory that provides Resource implementations for the desired IO resource

- - ### Field Summary

    - ### Fields inherited from interface org.kie.api.internal.utils.KieService

      `UNDEFINED`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Resource` | `newByteArrayResource​(byte[] bytes)` |
    `Resource` | `newByteArrayResource​(byte[] bytes, java.lang.String encoding)` |
    `Resource` | `newClassPathResource​(java.lang.String path)` |
    `Resource` | `newClassPathResource​(java.lang.String path, java.lang.Class<?> clazz)` |
    `Resource` | `newClassPathResource​(java.lang.String path, java.lang.ClassLoader classLoader)` |
    `Resource` | `newClassPathResource​(java.lang.String path, java.lang.String encoding)` |
    `Resource` | `newClassPathResource​(java.lang.String path, java.lang.String encoding, java.lang.Class<?> clazz)` |
    `Resource` | `newClassPathResource​(java.lang.String path, java.lang.String encoding, java.lang.ClassLoader classLoader)` |
    `Resource` | `newDescrResource​(KieDescr descr)` |
    `Resource` | `newFileSystemResource​(java.io.File file)` |
    `Resource` | `newFileSystemResource​(java.io.File file, java.lang.String encoding)` |
    `Resource` | `newFileSystemResource​(java.lang.String fileName)` |
    `Resource` | `newFileSystemResource​(java.lang.String fileName, java.lang.String encoding)` |
    `Resource` | `newInputStreamResource​(java.io.InputStream stream)` |
    `Resource` | `newInputStreamResource​(java.io.InputStream stream, java.lang.String encoding)` |
    `Resource` | `newReaderResource​(java.io.Reader reader)` |
    `Resource` | `newReaderResource​(java.io.Reader reader, java.lang.String encoding)` |

    - ### Methods inherited from interface org.kie.api.internal.utils.KieService

      `compareTo, servicePriority, serviceTag`

- - ### Method Detail

    - #### newFileSystemResource

          Resource newFileSystemResource​(java.io.File file)

    - #### newFileSystemResource

          Resource newFileSystemResource​(java.io.File file,
                                         java.lang.String encoding)

    - #### newFileSystemResource

          Resource newFileSystemResource​(java.lang.String fileName)

    - #### newFileSystemResource

          Resource newFileSystemResource​(java.lang.String fileName,
                                         java.lang.String encoding)

    - #### newByteArrayResource

          Resource newByteArrayResource​(byte[] bytes)

    - #### newByteArrayResource

          Resource newByteArrayResource​(byte[] bytes,
                                        java.lang.String encoding)

    - #### newInputStreamResource

          Resource newInputStreamResource​(java.io.InputStream stream)

    - #### newInputStreamResource

          Resource newInputStreamResource​(java.io.InputStream stream,
                                          java.lang.String encoding)

    - #### newReaderResource

          Resource newReaderResource​(java.io.Reader reader)

    - #### newReaderResource

          Resource newReaderResource​(java.io.Reader reader,
                                     java.lang.String encoding)

    - #### newClassPathResource

          Resource newClassPathResource​(java.lang.String path)

    - #### newClassPathResource

          Resource newClassPathResource​(java.lang.String path,
                                        java.lang.ClassLoader classLoader)

    - #### newClassPathResource

          Resource newClassPathResource​(java.lang.String path,
                                        java.lang.Class<?> clazz)

    - #### newClassPathResource

          Resource newClassPathResource​(java.lang.String path,
                                        java.lang.String encoding)

    - #### newClassPathResource

          Resource newClassPathResource​(java.lang.String path,
                                        java.lang.String encoding,
                                        java.lang.ClassLoader classLoader)

    - #### newClassPathResource

          Resource newClassPathResource​(java.lang.String path,
                                        java.lang.String encoding,
                                        java.lang.Class<?> clazz)

    - #### newDescrResource

          Resource newDescrResource​(KieDescr descr)